/*
 * @author Ranides Atterwim <ranides@gmail.com>
 * @copyright Ranides Atterwim
 * @license WTFPL
 * @url http://ranides.net/projects/assira
 */
package net.ranides.assira.collection.iterators;

import java.util.ListIterator;

public abstract class AListIterator<K> implements ListIterator<K> {

    protected AListIterator() {
        // protected constructor
    }

    @Override
    public void set(K value) {
        throw new UnsupportedOperationException();
    }

    @Override
    public void add(K value) {
        throw new UnsupportedOperationException();
    }

     @Override
    public void remove() {
        throw new UnsupportedOperationException();
    }
}
